<?php




namespace app\common\model\user;


use app\common\model\BaseModel;
use app\common\repositories\store\CityAreaRepository;

class UserAddress extends BaseModel
{

    /**
     * @return string
     * @author xaboy
     * @day 2020-03-30
     */
    public static function tablePk(): string
    {
        return 'address_id';
    }

    /**
     * @return string
     * @author xaboy
     * @day 2020-03-30
     */
    public static function tableName(): string
    {
        return 'user_address';
    }

    public function getAreaAttr()
    {
        return app()->make(CityAreaRepository::class)->search([])->whereIn('id', [$this->province_id, $this->city_id, $this->district_id, $this->street_id])->order('id ASC')->select();
    }
}
